// This file is part of the Java Card Firewall Tester program.
// 
// Authors: 
// 
// Wojciech Mostowski, woj@cs.ru.nl
// Erik Poll, erikpoll@cs.ru.nl
// Radboud University Nijmegen
// The Netherlands
// 
// Copyright (c) Wojciech Mostowski, Erik Poll,
// Radboud University Nijmegen (RU),
// Stichting Technische Wetenschappen (STW)
// 
// The Java Card Firewall Tester has been developed for the PinPas Java
// Card project, see http://www.win.tue.nl/pinpasjc/. The program is
// distributed under the licence terms that can be found in the LICENCE
// file in the main installation directory. Please refer to the LICENCE &
// README files for further information.

package firewallinterface;

import javacard.framework.*;

public class TestObject implements TestObjectInterface {

    public short a = 0;

    public static short ps = 0x1234;

    public static boolean checkAIDs(AID aid, AID prevAid) {
        boolean result = JCSystem.getAID().equals(aid);
        if (prevAid == null)
            result = (result && (JCSystem.getPreviousContextAID() == null));
        else
            result = (result && JCSystem.getPreviousContextAID().equals(prevAid));
        return result;
    }


    public void setA() {
        a = 1;
    }

}
